<?php


// Create general tab

add_action( 'asp_settings_tab', 'asp_general_tab', 1 );
function asp_general_tab(){
global $asp_active_tab; ?>
		<a class="asp-nav-tab <?php echo $asp_active_tab == 'general' || '' ? 'asp-nav-tab-active' : ''; ?>" href="<?php echo admin_url( 'edit.php?post_type=sermons&page=asp-settings&tab=general' ); ?>"><?php _e( 'General', 'asp' ); ?> </a>
<?php }


// Creates display tab

add_action( 'asp_settings_tab', 'asp_design_tab', 2 );
function asp_design_tab(){
global $asp_active_tab; ?>
		<a class="asp-nav-tab <?php echo $asp_active_tab == 'design' || '' ? 'asp-nav-tab-active' : ''; ?>" href="<?php echo admin_url( 'edit.php?post_type=sermons&page=asp-settings&tab=design' ); ?>"><?php _e( 'Design', 'asp' ); ?> </a>
<?php }


// Creates single sermon tab

add_action( 'asp_settings_tab', 'asp_single_sermon_tab', 3 );
function asp_single_sermon_tab(){
global $asp_active_tab; ?>
		<a class="asp-nav-tab <?php echo $asp_active_tab == 'single-sermon' || '' ? 'asp-nav-tab-active' : ''; ?>" href="<?php echo admin_url( 'edit.php?post_type=sermons&page=asp-settings&tab=single-sermon' ); ?>"><?php _e( 'Single Sermon', 'asp' ); ?> </a>
<?php }


// Creates single sermon tab

add_action( 'asp_settings_tab', 'asp_archive_tab', 4 );
function asp_archive_tab(){
global $asp_active_tab; ?>
		<a class="asp-nav-tab <?php echo $asp_active_tab == 'archive' || '' ? 'asp-nav-tab-active' : ''; ?>" href="<?php echo admin_url( 'edit.php?post_type=sermons&page=asp-settings&tab=archive' ); ?>"><?php _e( 'Archive', 'asp' ); ?> </a>
<?php }


// Creates shortcodes tab

add_action( 'asp_settings_tab', 'asp_shortcodes_tab', 5 );
function asp_shortcodes_tab(){
		global $asp_active_tab; ?>
		<a class="asp-nav-tab <?php echo $asp_active_tab == 'shortcodes' || '' ? 'asp-nav-tab-active' : ''; ?>" href="<?php echo admin_url( 'edit.php?post_type=sermons&page=asp-settings&tab=shortcodes' ); ?>"><?php _e( 'Shortcodes', 'asp' ); ?> </a>
<?php }


// Creates upgrade tab
add_action( 'asp_settings_tab', 'asp_upgrade_tab', 6 );
function asp_upgrade_tab(){
    if (!is_plugin_active('advanced-sermons-pro/advanced-sermons-pro.php') ) {
		    global $asp_active_tab; ?>
		    <a class="asp-nav-tab <?php echo $asp_active_tab == 'upgrade' || '' ? 'asp-nav-tab-active' : ''; ?> asp-upgrade-button" href="<?php echo admin_url( 'edit.php?post_type=sermons&page=asp-settings&tab=upgrade' ); ?>"><?php _e( 'Buy Pro Version', 'asp' ); ?> </a>
<?php }
}

