<?php

// File that creates image upload for sermon taxamonies

require( plugin_dir_path( __FILE__ ) . 'speaker-image.php');
require( plugin_dir_path( __FILE__ ) . 'series-image.php');


// Add necessary scripts to handle taxamony upload image functionality

add_action('plugins_loaded', function(){
  if($GLOBALS['pagenow']=='post.php'){
    add_action('admin_print_scripts', 'asp_sermon_admin_scripts');
    add_action('admin_print_styles',  'asp_sermon_admin_styles');
  }
});

function asp_sermon_admin_scripts(){
  wp_enqueue_script('jquery');
  wp_enqueue_script('media-upload');
  wp_enqueue_script('thickbox');
}

function asp_sermon_admin_styles(){
  wp_enqueue_style('thickbox');
}
