<?php

function asp_archive_filter_template() {

$asp_hide_filter_orderby = get_option( 'asp_archive_hide_filter_orderby' );
$asp_hide_filter_order = get_option( 'asp_archive_hide_filter_order' );
$asp_hide_filter_speaker = get_option( 'asp_archive_hide_filter_speaker' );
$asp_hide_filter_topic = get_option( 'asp_archive_hide_filter_topic' );
$asp_hide_filter_series = get_option( 'asp_archive_hide_filter_series' );

?>

<form class='asp-archive-filter'>

		<!-- Orderby Filter -->
		<?php if (empty($asp_hide_filter_orderby)) { ?>
		<select name="orderby" class="asp-filter-orderby">
				<?php
				$orderby_options = array(
						'post_date' => 'Order By Date',
						'post_title' => 'Order By Title',
						'rand' => 'Random Order',
				);
				foreach( $orderby_options as $value => $label ) {
					 	 echo "<option ".selected( $_GET['orderby'], $value )." value='$value'>$label</option>";
				}
				?>
		</select>
		<?php } ?>

		<!-- Order Filter -->
		<?php if (empty($asp_hide_filter_order)) { ?>
		<select name="order" class="asp-filter-order">
				<?php
				$order_options = array(
						'DESC' => 'Desc',
						'ASC' => 'Asc',
				);
				foreach( $order_options as $value => $label ) {
						 echo "<option ".selected( $_GET['order'], $value )." value='$value'>$label</option>";
				}
				?>
		</select>
		<?php } ?>


		<select name="paged" class="asp-filter-paged" style="display: none!important;">
			  <?php
				global $paged;
				$order_options = array(
		         'paged' => $paged,
				);
				foreach( $order_options as $value => $label ) {
						  echo "<option ".selected( $_GET['order'], $value )." value='$value'>$label</option>";
				}
			  ?>
		</select>

		<!-- Get sermon speaker data -->
    <?php
		if (empty($asp_hide_filter_speaker)) {
    $taxonomies = array('sermon_speaker'); //CHANGE ME!
    $args = array('orderby'=>'name','hide_empty'=>true);
    $select = asp_filter_terms_dropdown_speaker($taxonomies, $args);
    $select = preg_replace("#<select([^>]*)>#", "<select$1>", $select);
    					echo $select;
		}
		?>

		<!-- Get sermon topic data -->
		<?php
		if (empty($asp_hide_filter_topic)) {
		$taxonomies = array('sermon_topics'); //CHANGE ME!
		$args = array('orderby'=>'name','hide_empty'=>true);
		$select = asp_filter_terms_dropdown_topic($taxonomies, $args);
		$select = preg_replace("#<select([^>]*)>#", "<select$1>", $select);
							echo $select;
	  }
		?>

		<!-- Get sermon series data -->
    <?php
		if (empty($asp_hide_filter_series)) {
    $taxonomies = array('sermon_series'); //CHANGE ME!
    $args = array('orderby'=>'name','hide_empty'=>true);
    $select = asp_filter_terms_dropdown_series($taxonomies, $args);
    $select = preg_replace("#<select([^>]*)>#", "<select$1>", $select);
    			echo $select;
	  }
		?>

		<!-- Action hook to add new fields to filter bar -->
		<?php do_action( 'asp_hook_filter_bar_fields' ); ?>

		<input type='submit' name='asp_filter_submit' value='<?php _e( 'Filter', 'advanced-sermons' ); ?>'>
</form>

<?php }
