<?php


// Dynamic Sermon CSS Stlying

function asp_dynamic_css() {

    ?>
    <style type="text/css">

    .sermon-wrapper .sermon-title-holder:after,.sermon-wrapper .sermon-featured-image:after {
        opacity: <?php echo get_option('asp_design_title_overlay_opacity') ?>;
    }
    <?php $asp_single_sermon_content_width = get_option('asp_single_sermon_content_width');
    if (!empty($asp_single_sermon_content_width) && $asp_single_sermon_content_width !== "auto") { ?>
    @media (min-width: 1300px) {
    .sermon-container_inner, .sermon-title-holder .sermon-title {
        max-width: <?php echo get_option('asp_single_sermon_content_width') ?>!important;
        margin: auto;
    }
    }
    <?php }
    if (!empty($asp_single_sermon_content_width) && $asp_single_sermon_content_width == "auto") { ?>
    @media (min-width: 1300px) {
    .sermon-container_inner, .sermon-title-holder .sermon-title {
        width: <?php echo get_option('asp_single_sermon_content_width') ?>!important;
        max-width: none!important;
        margin: auto;
    }
    }
    <?php } ?>
    .sermon-title-holder,.sermon-featured-image {
        display: <?php echo get_option('asp_design_disable_sermon_title') ?>!important;
    }
    <?php
    $asp_design_sermon_image= get_option('asp_design_sermon_image');
    if(!empty($asp_design_sermon_image)) { ?>
    .sermon-title-holder {
        background-image: url('<?php echo get_option('asp_design_sermon_image') ?>')!important;
    }
    <?php } ?>

    /* Disable Sermon Image */
    <?php $disable_sermon_title_image = get_option('asp_design_disable_sermon_title_image');
        if(!empty($disable_sermon_title_image)) { ?>
            .sermon-title-holder {
                background-image: none!important;
            }
            .sermon-featured-image,.sermon-featured-image:after {
                visibility: hidden!important;
            }
            .sermon-title {
                visibility: visible!important;
            }
    <?php } ?>

    /* Single Sermon no sidebar */
    <?php
    $enable_sermon_sidebar = get_option('asp_single_sermon_enable_sidebar');
    if(empty($enable_sermon_sidebar)) { ?>
    .asp-column1 {
        width: 100%;
        display: block;
        vertical-align: text-top;
    }
    .asp-column2 {
        display: none;
    }
    @media (min-width: 1400px) {
    .asp-column1 {
        padding-left: 25px;
        padding-right: 25px!important;
        width: auto!important;
    }
    }
    @media (min-width: 1200px) and (max-width: 1400px) {
    .asp-column1 {
        padding-left: 25px;
        padding-right: 25px!important;
        width: auto!important;
    }
    }
    @media (min-width: 1100px) and (max-width: 1200px) {
    .asp-column1 {
        padding-left: 25px;
        padding-right: 25px!important;
        width: auto!important;
    }
    }

    <?php } ?>

    /* Related Sermons */
    <?php
    $asp_related_sermons = get_option('asp_single_sermon_related_sermons');
    if(empty($asp_related_sermons)) { ?>
        .sermon-wrapper .sermon-comments {
          	display: block;
          	padding-bottom: 25px;
          	border-bottom: 1px solid #e9e5de;
        }
    <?php } ?>


    /* Title Padding */
    <?php
    $asp_title_padding = get_option('asp_design_title_padding');
    if(!empty($asp_title_padding)) { ?>
       .sermon-wrapper .sermon-title-holder .sermon-title {
           padding: <?php echo get_option('asp_design_title_padding') ?> 0px!important;
           z-index: 1;
           position: relative;
       }
    <?php } else { ?>
      .sermon-wrapper .sermon-title-holder .sermon-title {
          padding: 10px 0px!important;
          z-index: 1;
          position: relative;
      }

    <?php } ?>


    /* Title Design Settings */

    <?php
    $asp_heading_h1_color = get_option('asp_design_heading_h1_color');
    $asp_heading_h1_size = get_option('asp_design_heading_h1_size');
    $asp_heading_h1_height = get_option('asp_design_heading_h1_height');
    $asp_heading_h1_weight = get_option('asp_design_heading_h1_weight');
    ?>
    .sermon-wrapper .sermon-title-holder .sermon-title h1 {
        <?php if (!empty($asp_heading_h1_color)) { ?> color: <?php echo get_option('asp_design_heading_h1_color') ?>!important; <?php } ?>
        <?php if (!empty($asp_heading_h1_size)) { ?> font-size: <?php echo get_option('asp_design_heading_h1_size') ?>px!important; <?php } ?>
        <?php if (!empty($asp_heading_h1_height)) { ?> line-height: <?php echo get_option('asp_design_heading_h1_height') ?>px!important; <?php } ?>
        <?php if (!empty($asp_heading_h1_weight)) { ?> font-weight: <?php echo get_option('asp_design_heading_h1_weight') ?>!important; <?php } ?>
    }
    <?php $asp_design_body_color = get_option('asp_design_body_color'); ?>
    .sermon-wrapper {
        <?php if (!empty($asp_design_body_color)) { ?> background-color: <?php echo get_option('asp_design_body_color') ?>!important; <?php } ?>
    }


    /* Archive Sermon Title Styling */

    <?php
    $asp_design_archive_title_color = get_option('asp_design_archive_title_color');
    $asp_design_archive_title_size = get_option('asp_design_archive_title_size');
    $asp_design_archive_title_height = get_option('asp_design_archive_title_height');
    $asp_design_archive_title_weight = get_option('asp_design_archive_title_weight');
    ?>
    .sermon-archive-single .sermon-title h2 a {
        <?php if (!empty($asp_design_archive_title_color)) { ?> color: <?php echo get_option('asp_design_archive_title_color') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_archive_title_size)) { ?> font-size: <?php echo get_option('asp_design_archive_title_size') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_archive_title_height)) { ?> line-height: <?php echo get_option('asp_design_archive_title_height') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_archive_title_weight)) { ?> font-weight: <?php echo get_option('asp_design_archive_title_weight') ?>!important; <?php } ?>
    }


    /* Archive Sermon Details Styling */

    <?php
    $asp_design_archive_details_color = get_option('asp_design_archive_details_color');
    $asp_design_archive_details_link_color = get_option('asp_design_archive_details_link_color');
    $asp_design_archive_details_size = get_option('asp_design_archive_details_size');
    $asp_design_archive_details_height = get_option('asp_design_archive_details_height');
    $asp_design_archive_details_weight = get_option('asp_design_archive_details_weight');
    ?>
    .asp-archive-container .sermon-speaker p, .asp-archive-container .sermon-topic p, .asp-archive-container .service-type p, .asp-archive-container .preached-date p, .asp-archive-container .sermon-series p, .asp-series-container .sermon-speaker p, .asp-series-container .sermon-topic p, .asp-series-container .service-type p, .asp-series-container .preached-date p, .asp-series-container .sermon-series p, .asp-related-sermons-holder .sermon-related-single .sermon-series p, .asp-related-sermons-holder .sermon-related-single .sermon-series, .asp-related-sermons-holder .sermon-related-single .preached-date p  {
        <?php if (!empty($asp_design_archive_details_color)) { ?> color: <?php echo get_option('asp_design_archive_details_color') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_archive_details_size)) { ?> font-size: <?php echo get_option('asp_design_archive_details_size') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_archive_details_height)) { ?> line-height: <?php echo get_option('asp_design_archive_details_height') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_archive_details_weight)) { ?> font-weight: <?php echo get_option('asp_design_archive_details_weight') ?>!important; <?php } ?>
    }
    .asp-archive-container .sermon-speaker a, .asp-archive-container .sermon-topic a, .asp-archive-container .service-type a, .asp-archive-container .preached-date a, .asp-archive-container .sermon-series a, .asp-series-container .sermon-speaker a, .asp-series-container .sermon-topic a, .asp-series-container .service-type a, .asp-series-container .preached-date a, .asp-series-container .sermon-series a, .asp-related-sermons-holder .sermon-related-single .sermon-series a, .asp-related-sermons-holder .sermon-related-single .preached-date a, .sermon-archive-holder .sermon-archive-single .sermon-master-content a  {
        <?php if (!empty($asp_design_archive_details_link_color)) { ?> color: <?php echo get_option('asp_design_archive_details_link_color') ?>!important; <?php } ?>
    }



    /* Excerpt Styling */

    <?php
    $asp_design_excerpt_color = get_option('asp_design_excerpt_color');
    $asp_design_excerpt_size = get_option('asp_design_excerpt_size');
    $asp_design_excerpt_height = get_option('asp_design_excerpt_height');
    $asp_design_excerpt_weight = get_option('asp_design_excerpt_weight');
    ?>
    .sermon-archive-holder .sermon-archive-single .sermon-master-content p, .sermon-archive-holder .sermon-archive-single .sermon-master-content a {
        <?php if (!empty($asp_design_excerpt_color)) { ?> color: <?php echo get_option('asp_design_excerpt_color') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_excerpt_size)) { ?> font-size: <?php echo get_option('asp_design_excerpt_size') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_excerpt_height)) { ?> line-height: <?php echo get_option('asp_design_excerpt_height') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_excerpt_weight)) { ?> font-weight: <?php echo get_option('asp_design_excerpt_weight') ?>!important; <?php } ?>
    }


    /* Single Sermon Title Styling */

    <?php
    $asp_design_sermon_title_color = get_option('asp_design_sermon_title_color');
    $asp_design_sermon_title_size = get_option('asp_design_sermon_title_size');
    $asp_design_sermon_title_height = get_option('asp_design_sermon_title_height');
    $asp_design_sermon_title_weight = get_option('asp_design_sermon_title_weight');
    ?>
    .sermon-wrapper .sermon-info .sermon-title h2  {
        <?php if (!empty($asp_design_sermon_title_color)) { ?> color: <?php echo get_option('asp_design_sermon_title_color') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_sermon_title_size)) { ?> font-size: <?php echo get_option('asp_design_sermon_title_size') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_sermon_title_height)) { ?> line-height: <?php echo get_option('asp_design_sermon_title_height') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_sermon_title_weight)) { ?> font-weight: <?php echo get_option('asp_design_sermon_title_weight') ?>!important; <?php } ?>
    }


    /* Single Sermon Details Styling */

    <?php
    $asp_design_sermon_details_text_color = get_option('asp_design_sermon_details_text_color');
    $asp_design_sermon_details_link_color = get_option('asp_design_sermon_details_link_color');
    $asp_design_sermon_details_size = get_option('asp_design_sermon_details_size');
    $asp_design_sermon_details_height = get_option('asp_design_sermon_details_height');
    $asp_design_sermon_details_weight = get_option('asp_design_sermon_details_weight');
    ?>
    .sermon-wrapper .sermon-info .preached-date, .sermon-wrapper .sermon-info .sermon-series, .sermon-wrapper .sermon-info .sermon-topic, .sermon-wrapper .sermon-info .service-type {
        <?php if (!empty($asp_design_sermon_details_text_color)) { ?> color: <?php echo get_option('asp_design_sermon_details_text_color') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_sermon_details_size)) { ?> font-size: <?php echo get_option('asp_design_sermon_details_size') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_sermon_details_height)) { ?> line-height: <?php echo get_option('asp_design_sermon_details_height') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_sermon_details_weight)) { ?> font-weight: <?php echo get_option('asp_design_sermon_details_weight') ?>!important; <?php } ?>
    }
    .sermon-wrapper .sermon-info .preached-date a , .sermon-wrapper .sermon-info .sermon-series a ,.sermon-wrapper .sermon-info .sermon-topic a , .sermon-wrapper .sermon-info .service-type a, .single-sermons .asp-sermon-archive-button  {
        <?php if (!empty($asp_design_sermon_details_link_color)) { ?> color: <?php echo get_option('asp_design_sermon_details_link_color') ?>!important; <?php } ?>
    }


    /* Single Sermon Paragraph Styling */

    <?php
    $asp_design_sermon_paragraph_color = get_option('asp_design_sermon_paragraph_color');
    $asp_design_sermon_paragraph_size = get_option('asp_design_sermon_paragraph_size');
    $asp_design_sermon_paragraph_height = get_option('asp_design_sermon_paragraph_height');
    $asp_design_sermon_paragraph_weight = get_option('asp_design_sermon_paragraph_weight');
    ?>
    .sermon-container .asp-column1 .sermon-main-content p, .sermon-container .sermon-info .sermon-header-details {
        <?php if (!empty($asp_design_sermon_paragraph_color)) { ?> color: <?php echo get_option('asp_design_sermon_paragraph_color') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_sermon_paragraph_size)) { ?> font-size: <?php echo get_option('asp_design_sermon_paragraph_size') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_sermon_paragraph_height)) { ?> line-height: <?php echo get_option('asp_design_sermon_paragraph_height') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_sermon_paragraph_weight)) { ?> font-weight: <?php echo get_option('asp_design_sermon_paragraph_weight') ?>!important; <?php } ?>
    }


    /* Single Sermon Details Styling */

    <?php
    $asp_design_sermon_details_color = get_option('asp_design_sermon_details_color');
    ?>
    .asp-archive-filter input[type="submit"], .sermon-details .details-sermon-speaker a, .sermon-details .details-sermon-speaker p, .sermon-details .sermon-soundcloud a, .sermon-details .sermon-mp4-file a, .sermon-details .sermon-pdf-file a {
        <?php if (!empty($asp_design_sermon_details_color)) { ?> color: <?php echo get_option('asp_design_sermon_details_color') ?>!important; <?php } ?>
    }


    /* Filter Bar Styling */
    <?php
    $asp_design_filter_dropdown_text_color = get_option('asp_design_filter_dropdown_text_color');
    $asp_design_filter_dropdown_text_color_hover = get_option('asp_design_filter_dropdown_text_color_hover');
    $asp_design_filter_dropdown_background = get_option('asp_design_filter_dropdown_background');
    $asp_design_filter_dropdown_background_hover = get_option('asp_design_filter_dropdown_background_hover');
    $asp_design_filter_dropdown_border = get_option('asp_design_filter_dropdown_border');
    $asp_design_filter_dropdown_border_hover = get_option('asp_design_filter_dropdown_border_hover');
    $asp_design_filter_dropdown_border_width = get_option('asp_design_filter_dropdown_border_width');
    $asp_design_filter_dropdown_border_radius = get_option('asp_design_filter_dropdown_border_radius');
    $asp_design_filter_button_text_color = get_option('asp_design_filter_button_text_color');
    $asp_design_filter_button_text_color_hover = get_option('asp_design_filter_button_text_color_hover');
    $asp_design_filter_button_background = get_option('asp_design_filter_button_background');
    $asp_design_filter_button_background_hover = get_option('asp_design_filter_button_background_hover');
    $asp_design_filter_button_border = get_option('asp_design_filter_button_border');
    $asp_design_filter_button_border_hover = get_option('asp_design_filter_button_border_hover');
    $asp_design_filter_button_border_width = get_option('asp_design_filter_button_border_width');
    $asp_design_filter_button_border_radius = get_option('asp_design_filter_button_border_radius');
    ?>
    .asp-archive-filter select {
        <?php if (!empty($asp_design_filter_dropdown_text_color)) { ?> color: <?php echo get_option('asp_design_filter_dropdown_text_color') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_filter_dropdown_background)) { ?> background-color: <?php echo get_option('asp_design_filter_dropdown_background') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_filter_dropdown_border)) { ?> border-color: <?php echo get_option('asp_design_filter_dropdown_border') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_filter_dropdown_border_width)) { ?> border-width: <?php echo get_option('asp_design_filter_dropdown_border_width') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_filter_dropdown_border_radius || $asp_design_filter_dropdown_border_radius == 0)) { ?> border-radius: <?php echo get_option('asp_design_filter_dropdown_border_radius') ?>px!important; <?php } ?>
    }
    .asp-archive-filter select:hover {
        <?php if (!empty($asp_design_filter_dropdown_text_color_hover)) { ?> color: <?php echo get_option('asp_design_filter_dropdown_text_color_hover') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_filter_dropdown_background_hover)) { ?> background-color: <?php echo get_option('asp_design_filter_dropdown_background_hover') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_filter_dropdown_border_hover)) { ?> border-color: <?php echo get_option('asp_design_filter_dropdown_border_hover') ?>!important; <?php } ?>
    }
    .asp-archive-filter input[type="submit"] {
        <?php if (!empty($asp_design_filter_button_text_color)) { ?> color: <?php echo get_option('asp_design_filter_button_text_color') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_filter_button_background)) { ?> background-color: <?php echo get_option('asp_design_filter_button_background') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_filter_button_border)) { ?> border-color: <?php echo get_option('asp_design_filter_button_border') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_filter_button_border_width)) { ?> border-width: <?php echo get_option('asp_design_filter_button_border_width') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_filter_button_border_radius || $asp_design_filter_button_border_radius == 0)) { ?> border-radius: <?php echo get_option('asp_design_filter_button_border_radius') ?>px!important; <?php } ?>
    }
    .asp-archive-filter input[type="submit"]:hover {
        <?php if (!empty($asp_design_filter_button_text_color_hover)) { ?> color: <?php echo get_option('asp_design_filter_button_text_color_hover') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_filter_button_background_hover)) { ?> background-color: <?php echo get_option('asp_design_filter_button_background_hover') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_filter_button_border_hover)) { ?> border-color: <?php echo get_option('asp_design_filter_button_border_hover') ?>!important; <?php } ?>
    }


    /* Pagination Button Styling */
    <?php
    $asp_design_pagination_text_color = get_option('asp_design_pagination_text_color');
    $asp_design_pagination_text_color_hover = get_option('asp_design_pagination_text_color_hover');
    $asp_design_pagination_text_size = get_option('asp_design_pagination_text_size');
    $asp_design_pagination_text_height = get_option('asp_design_pagination_text_height');
    $asp_design_pagination_text_weight = get_option('asp_design_pagination_text_weight');
    $asp_design_pagination_text_padding = get_option('asp_design_pagination_text_padding');
    $asp_design_pagination_background = get_option('asp_design_pagination_background');
    $asp_design_pagination_background_hover = get_option('asp_design_pagination_background_hover');
    $asp_design_pagination_border = get_option('asp_design_pagination_border');
    $asp_design_pagination_border_hover = get_option('asp_design_pagination_border_hover');
    $asp_design_pagination_border_width = get_option('asp_design_pagination_border_width');
    $asp_design_pagination_border_radius = get_option('asp_design_pagination_border_radius');
    ?>
    .asp-sermon-pagination .prev a, .asp-sermon-pagination .next a {
        <?php if (!empty($asp_design_pagination_text_color)) { ?> color: <?php echo get_option('asp_design_pagination_text_color') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_pagination_text_size)) { ?> font-size: <?php echo get_option('asp_design_pagination_text_size') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_pagination_text_height)) { ?> line-height: <?php echo get_option('asp_design_pagination_text_height') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_pagination_text_height)) { ?> height: <?php echo get_option('asp_design_pagination_text_height') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_pagination_text_weight)) { ?> font-weight: <?php echo get_option('asp_design_pagination_text_weight') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_pagination_text_padding)) { ?> padding-left: <?php echo get_option('asp_design_pagination_text_padding') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_pagination_text_padding)) { ?> padding-right: <?php echo get_option('asp_design_pagination_text_padding') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_pagination_background)) { ?> background-color: <?php echo get_option('asp_design_pagination_background') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_pagination_border)) { ?> border-color: <?php echo get_option('asp_design_pagination_border') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_pagination_border_width)) { ?> border-width: <?php echo get_option('asp_design_pagination_border_width') ?>px!important; <?php } ?>
        <?php if (!empty($asp_design_pagination_border_radius)) { ?> border-radius: <?php echo get_option('asp_design_pagination_border_radius') ?>px!important; <?php } ?>
    }
    .asp-sermon-pagination .prev a:hover, .asp-sermon-pagination .next a:hover {
        <?php if (!empty($asp_design_pagination_text_color_hover)) { ?> color: <?php echo get_option('asp_design_pagination_text_color_hover') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_pagination_background_hover)) { ?> background-color: <?php echo get_option('asp_design_pagination_background_hover') ?>!important; <?php } ?>
        <?php if (!empty($asp_design_pagination_border_hover)) { ?> border-color: <?php echo get_option('asp_design_pagination_border_hover') ?>!important; <?php } ?>
    }

    </style>

<?php }
add_action( 'wp_head', 'asp_dynamic_css' );


// Pro Version Unlock Message

function asp_pro_version_settings_message() {

if (!is_plugin_active('advanced-sermons-pro/advanced-sermons-pro.php') ) { ?>
    <style type="text/css">
        .asp-pro-version {
             background-color: #1a2733f2;
             color: #fff!important;
             pointer-events: none!important;
        }
        .asp-pro-version th, .asp-pro-version p {
             color: #fff!important;
        }
        .asp-pro-version:before {
             content: "Buy Pro version to unlock this feature";
             background-color: #2f3e4d;
             color: #fff!important;
             display: block!important;
             width: auto;
             overflow: hidden!important;
             margin-left: -35px;
             text-align: center;
             padding: 11px 0px;
             margin-top: -7px;
             font-size: 13.5px!important;
        }

    </style>

<?php }
}
add_action( 'admin_head', 'asp_pro_version_settings_message' );
