<?php

// Link Advanced Sermons backend stylesheet

function asp_backend_styling() {
    global $asp_plugin_version;
    wp_enqueue_style( 'asp-backend-styling', plugins_url( '/asp-backend.css', __FILE__ ), array(), "$asp_plugin_version"  );
}
add_action( 'admin_enqueue_scripts', 'asp_backend_styling' );


// Link Advanced Sermons frontend stylesheet

function asp_frontend_styling() {
    global $asp_plugin_version;
    wp_enqueue_style( 'asp-frontend-styling', plugins_url( '/asp-frontend.css', __FILE__ ), array(), "$asp_plugin_version"  );
}
add_action( 'wp_enqueue_scripts', 'asp_frontend_styling' );


// Register Fontawesome Font

function aps_register_fontawesome_font() {
    wp_register_style( 'fontawesome', '//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css', array(), '4.2.0' );
    wp_enqueue_style( 'fontawesome' );
}
add_action( 'wp_enqueue_scripts', 'aps_register_fontawesome_font' );


// Include Dynamic CSS PHP File

include( plugin_dir_path( __FILE__ ) . 'asp-dynamic-css.php');
