<?php


add_action( 'asp_create_options', 'asp_register_options', 1 );
function asp_register_options() {


// Register General Settings Fields

register_setting( 'asp-general-settings', 'asp_general_date_format' );
register_setting( 'asp-general-settings', 'asp_general_sermon_label' );
register_setting( 'asp-general-settings', 'asp_general_speaker_label' );
register_setting( 'asp-general-settings', 'asp_general_topic_label' );
register_setting( 'asp-general-settings', 'asp_general_toolbar_menu' );
register_setting( 'asp-general-settings', 'asp_general_disable_view_count' );


// Register Design Settings Fields

register_setting( 'asp-design-settings', 'asp_design_body_color' );
register_setting( 'asp-design-settings', 'asp_design_heading_h1_color' );
register_setting( 'asp-design-settings', 'asp_design_heading_h1_size' );
register_setting( 'asp-design-settings', 'asp_design_heading_h1_height' );
register_setting( 'asp-design-settings', 'asp_design_heading_h1_weight' );
register_setting( 'asp-design-settings', 'asp_design_title_padding' );
register_setting( 'asp-design-settings', 'asp_design_sermon_image' );
register_setting( 'asp-design-settings', 'asp_design_hide_featured_image' );
register_setting( 'asp-design-settings', 'asp_design_title_overlay_opacity' );
register_setting( 'asp-design-settings', 'asp_design_disable_sermon_title_image' );
register_setting( 'asp-design-settings', 'asp_design_disable_sermon_title' );
register_setting( 'asp-design-settings', 'asp_design_sermon_thumbnail_height' );
register_setting( 'asp-design-settings', 'asp_design_series_thumbnail_height' );
register_setting( 'asp-design-settings', 'asp_design_custom_css' );
register_setting( 'asp-design-settings', 'asp_design_archive_title_color' );
register_setting( 'asp-design-settings', 'asp_design_archive_title_size' );
register_setting( 'asp-design-settings', 'asp_design_archive_title_height' );
register_setting( 'asp-design-settings', 'asp_design_archive_title_weight' );
register_setting( 'asp-design-settings', 'asp_design_excerpt_color' );
register_setting( 'asp-design-settings', 'asp_design_excerpt_size' );
register_setting( 'asp-design-settings', 'asp_design_excerpt_height' );
register_setting( 'asp-design-settings', 'asp_design_excerpt_weight' );
register_setting( 'asp-design-settings', 'asp_design_sermon_title_color' );
register_setting( 'asp-design-settings', 'asp_design_sermon_title_size' );
register_setting( 'asp-design-settings', 'asp_design_sermon_title_height' );
register_setting( 'asp-design-settings', 'asp_design_sermon_title_weight' );
register_setting( 'asp-design-settings', 'asp_design_sermon_paragraph_color' );
register_setting( 'asp-design-settings', 'asp_design_sermon_paragraph_size' );
register_setting( 'asp-design-settings', 'asp_design_sermon_paragraph_height' );
register_setting( 'asp-design-settings', 'asp_design_sermon_paragraph_weight' );
register_setting( 'asp-design-settings', 'asp_design_sermon_details_color' );
register_setting( 'asp-design-settings', 'asp_design_pagination_text_color' );
register_setting( 'asp-design-settings', 'asp_design_pagination_text_color_hover' );
register_setting( 'asp-design-settings', 'asp_design_pagination_text_size' );
register_setting( 'asp-design-settings', 'asp_design_pagination_text_height' );
register_setting( 'asp-design-settings', 'asp_design_pagination_text_weight' );
register_setting( 'asp-design-settings', 'asp_design_pagination_text_padding' );
register_setting( 'asp-design-settings', 'asp_design_pagination_background' );
register_setting( 'asp-design-settings', 'asp_design_pagination_background_hover' );
register_setting( 'asp-design-settings', 'asp_design_pagination_border' );
register_setting( 'asp-design-settings', 'asp_design_pagination_border_hover' );
register_setting( 'asp-design-settings', 'asp_design_pagination_border_width' );
register_setting( 'asp-design-settings', 'asp_design_pagination_border_radius' );
register_setting( 'asp-design-settings', 'asp_design_filter_dropdown_text_color' );
register_setting( 'asp-design-settings', 'asp_design_filter_dropdown_text_color_hover' );
register_setting( 'asp-design-settings', 'asp_design_filter_dropdown_background' );
register_setting( 'asp-design-settings', 'asp_design_filter_dropdown_background_hover' );
register_setting( 'asp-design-settings', 'asp_design_filter_dropdown_border' );
register_setting( 'asp-design-settings', 'asp_design_filter_dropdown_border_hover' );
register_setting( 'asp-design-settings', 'asp_design_filter_dropdown_border_width' );
register_setting( 'asp-design-settings', 'asp_design_filter_dropdown_border_radius' );
register_setting( 'asp-design-settings', 'asp_design_filter_button_text_color' );
register_setting( 'asp-design-settings', 'asp_design_filter_button_text_color_hover' );
register_setting( 'asp-design-settings', 'asp_design_filter_button_background' );
register_setting( 'asp-design-settings', 'asp_design_filter_button_background_hover' );
register_setting( 'asp-design-settings', 'asp_design_filter_button_border' );
register_setting( 'asp-design-settings', 'asp_design_filter_button_border_hover' );
register_setting( 'asp-design-settings', 'asp_design_filter_button_border_width' );
register_setting( 'asp-design-settings', 'asp_design_filter_button_border_radius' );
register_setting( 'asp-design-settings', 'asp_design_archive_details_color' );
register_setting( 'asp-design-settings', 'asp_design_archive_details_link_color' );
register_setting( 'asp-design-settings', 'asp_design_archive_details_size' );
register_setting( 'asp-design-settings', 'asp_design_archive_details_height' );
register_setting( 'asp-design-settings', 'asp_design_archive_details_weight' );
register_setting( 'asp-design-settings', 'asp_design_sermon_details_text_color' );
register_setting( 'asp-design-settings', 'asp_design_sermon_details_link_color' );
register_setting( 'asp-design-settings', 'asp_design_sermon_details_size' );
register_setting( 'asp-design-settings', 'asp_design_sermon_details_height' );
register_setting( 'asp-design-settings', 'asp_design_sermon_details_weight' );


// Register Single Sermon Settings Fields

register_setting( 'asp-single-sermon-settings', 'asp_single_sermon_content_width' );
register_setting( 'asp-single-sermon-settings', 'asp_single_sermon_all_sermons_button' );
register_setting( 'asp-single-sermon-settings', 'asp_single_sermon_disable_comments' );


// Register Archive Settings Fields

register_setting( 'asp-archive-settings', 'asp_archive_read_more' );
register_setting( 'asp-archive-settings', 'asp_archive_excerpt_length' );
register_setting( 'asp-archive-settings', 'asp_archive_hide_filtering' );
register_setting( 'asp-archive-settings', 'asp_archive_hide_criteria_box' );

}
